Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.util.xml
Class HttpXmlLiteParser

    java.lang.Object
      |
      +--superwaba.ext.xplat.util.xml.XmlLiteParser
            |
            +--superwaba.ext.xplat.util.xml.HttpXmlLiteParser

public class HttpXmlLiteParser
extends XmlLiteParser

Listener that must be extended to process the events thrown by HttpXmlLiteParser.

Field Summary
`protected byte` | `eol`
`protected HttpXmlListener` | `httpListener`

Fields inherited from class superwaba.ext.xplat.util.xml.XmlLiteParser
`listener, pos, state`

Constructor Summary
`HttpXmlLiteParser(HttpXmlListener listener)` Constructor.

Method Summary
`void` | `parse(Stream input, int bufferSize)` This method parses the bytes from the passed stream.
`protected void` | `parseBuffer(byte[] input, int size)` This method does the actual parsing and call backs working for the current values of pos, len, start and state.

Methods inherited from class superwaba.ext.xplat.util.xml.XmlLiteParser
`parse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### httpListener

    protected HttpXmlListener httpListener

### eol

    protected byte eol

Constructor Detail

### HttpXmlLiteParser

    public HttpXmlLiteParser(HttpXmlListener listener)

  Constructor.
  Parameters:
    `listener` -

Method Detail

### parse

    public void parse(Stream input,
                      int bufferSize)
               throws ParserException

  This method parses the bytes from the passed stream. The algorithm is based on DFA (Deterministic Finite Automata) theory and Regular Expression theory.
  Parameters:
    `input` - Input stream.
    `bufferSize` - The bufer size to use. No tag or content can be larger than the buffer.
  Throws:
    ParserException -

### parseBuffer

    protected void parseBuffer(byte[] input,
                               int size)
                        throws ParserException

  Description copied from class: XmlLiteParser
  This method does the actual parsing and call backs working for the current values of pos, len, start and state. It is called by parse(byte[],int) and may be called by derived XmlLiteParsers. atn
  Overrides:
    parseBuffer in class XmlLiteParser
  Parameters:
    `size` -
  Throws:
    ParserException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD